#! /usr/bin/make -f

version=`gawk 'BEGIN{FS=","}/AM_INIT_AUTOMAKE/{gsub(/[)]/,"",$$2);gsub(/ /,"",$$2);printf "%s",$$2}' configure.in`

all: tar

tar:
	@echo $(version)
	aclocal
	autoheader
	autoconf
	automake
	@if [ -f Makefile ]; \
	then \
	make distclean; \
	fi
	@ln -s xmms-aalsa ../xmms-aalsa_$(version)
	@tar -zch -C .. -f ../xmms-aalsa_$(version).tar.gz xmms-aalsa_$(version)
	@rm ../xmms-aalsa_$(version)
